#include <bits/stdc++.h>
using namespace std;
#include "smaller"






int find_number(int MAX){
    int first = 1;
    int end = MAX;
    int mid;
    while(first < end){
        mid = (first + end + 1) / 2;
        if(smaller(mid)){
            end = mid - 1;
        }
        else{
            first = mid;
        }
    }
    return first;
}













